Ace::Graphics::Glyph::transcript(3pm)

NAME
Ace::Graphics::Glyph::transcript - The "gene" glyph

SYNOPSIS
  See L<Ace::Graphics::Panel> and L<Ace::Graphics::Glyph>.

DESCRIPTION
This glyph draws a series of filled rectangles connected by up-angled connectors or "hats". The rectangles indicate exons; the hats are introns. The direction of transcription is indicated by a small arrow at the end of the glyph, rightward for the + strand.

The feature must respond to the exons() and optionally introns() methods, or it will default to the generic display. Implied introns (not returned by the introns() method) are drawn in a contrasting color to explicit introns.

  OPTIONS
In addition to the common options, the following glyph-specific option is recognized:

  Option                Description                    Default
  ------                -----------                    -------

  -implied_intron_color The color to use for gaps      gray
                        not returned by the introns()
                        method.

  -draw_arrow           Whether to draw arrowhead      true
                        indicating direction of
                        transcription.

BUGS
Please report them.

SEE ALSO
Ace::Sequence, Ace::Sequence::Feature, Ace::Graphics::Panel, Ace::Graphics::Track, Ace::Graphics::Glyph::anchored_arrow, Ace::Graphics::Glyph::arrow, Ace::Graphics::Glyph::box, Ace::Graphics::Glyph::primers, Ace::Graphics::Glyph::segments, Ace::Graphics::Glyph::toomany, Ace::Graphics::Glyph::transcript,

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See DISCLAIMER.txt for disclaimers of warranty.